EchoMessage.EchoMessageSerializer (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.gms

## Class EchoMessage.EchoMessageSerializer

- java.lang.Object
- - org.apache.cassandra.gms.EchoMessage.EchoMessageSerializer

- All Implemented Interfaces:
    IVersionedSerializer<EchoMessage>
  Enclosing class:
    EchoMessage

      public static class EchoMessage.EchoMessageSerializer
      extends java.lang.Object
      implements IVersionedSerializer<EchoMessage>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EchoMessageSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EchoMessage` | `deserialize(java.io.DataInput in, int version)` Deserialize into the specified DataInputStream instance.
    `void` | `serialize(EchoMessage t, DataOutputPlus out, int version)` Serialize the specified type into the specified DataOutputStream instance.
    `long` | `serializedSize(EchoMessage t, int version)` Calculate serialized size of object without actually serializing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EchoMessageSerializer

          public EchoMessageSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(EchoMessage t,
                                DataOutputPlus out,
                                int version)
                         throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Serialize the specified type into the specified DataOutputStream instance.
      Specified by:
        `serialize` in interface `IVersionedSerializer<EchoMessage>`
      Parameters:
        `t` - type that needs to be serialized
        `out` - DataOutput into which serialization needs to happen.
        `version` - protocol version
      Throws:
        `java.io.IOException` - if serialization fails

    - #### deserialize

          public EchoMessage deserialize(java.io.DataInput in,
                                         int version)
                                  throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Deserialize into the specified DataInputStream instance.
      Specified by:
        `deserialize` in interface `IVersionedSerializer<EchoMessage>`
      Parameters:
        `in` - DataInput from which deserialization needs to happen.
        `version` - protocol version
      Returns:
        the type that was deserialized
      Throws:
        `java.io.IOException` - if deserialization fails

    - #### serializedSize

          public long serializedSize(EchoMessage t,
                                     int version)

      Description copied from interface: `IVersionedSerializer`
      Calculate serialized size of object without actually serializing.
      Specified by:
        `serializedSize` in interface `IVersionedSerializer<EchoMessage>`
      Parameters:
        `t` - object to calculate serialized size
        `version` - protocol version
      Returns:
        serialized size of object t

Copyright © 2018 The Apache Software Foundation